Bug 1635026 - [RFE] cloud_ds_check.sh should include --max-time for curl, or TimeoutSec= in cloud-ds-check.service
Summary: [RFE] cloud_ds_check.sh should include --max-time for curl, or TimeoutSec= in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: Mike Shriver
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-01 20:59 UTC by Jeff Warnica
Modified: 2019-02-07 23:03 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.19
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:43 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:52 UTC

Description Jeff Warnica 2018-10-01 20:59:09 UTC
IHAC with an apparently complex network/firewall/proxy server configuration, and the curl commands deep within cloud_ds_check.sh hang. 

curl's --connect-timeout only aborts if the connection phase exceeds the specified value (2sec), but the proxy server here responds and hangs.

Suggest using --max-time (say, 5) to deal with such broken proxy servers (possibly intentionally honey or tar pit proxy servers).

Comment 3 CFME Bot 2018-10-02 18:22:29 UTC
New commit detected on ManageIQ/manageiq-appliance/master:

https://github.com/ManageIQ/manageiq-appliance/commit/ad550b3f5c01911d264edd955d06d5c9f29e66a5
commit ad550b3f5c01911d264edd955d06d5c9f29e66a5
Author:     Jeff Warnica <jwarnica@redhat.com>
AuthorDate: Tue Oct  2 11:50:22 2018 -0400
Commit:     Jeff Warnica <jwarnica@redhat.com>
CommitDate: Tue Oct  2 11:50:22 2018 -0400

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1635026

 LINK/usr/bin/cloud_ds_check.sh | 6 +-
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 4 CFME Bot 2018-10-05 00:25:40 UTC
New commit detected on ManageIQ/manageiq-appliance/hammer:

https://github.com/ManageIQ/manageiq-appliance/commit/8be07a4a5664e7117b32687c22c426719a566ced
commit 8be07a4a5664e7117b32687c22c426719a566ced
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Tue Oct  2 14:18:29 2018 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Tue Oct  2 14:18:29 2018 -0400

    Merge pull request #209 from jeffwarnica/addMaxTime

    Add max-time to curl commands

    (cherry picked from commit 49a68864321ff2c2c1604962f4c4ecb161807736)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1635026

 LINK/usr/bin/cloud_ds_check.sh | 6 +-
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 5 Mike Shriver 2019-01-18 20:41:17 UTC
Tested in CFME 5.10.0.32.20190115185124_c957ada

cloud_ds_check.sh now includes both timeout options: `--connect-timeout 2 --max-time 5`

Comment 6 errata-xmlrpc 2019-02-07 23:03:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.